task samtools {
  Array[File] tumor_bam
  Array[File] normal_bam
  String docker
  String cluster
  String disk_size

  command <<<
    set -o pipefail
    set -e
    nt=$(nproc)
    mkdir -p /cromwell_root/tmp/samtools
    cd /cromwell_root/tmp/samtools
    /opt/conda/bin/samtools index ${sep=' ' tumor_bam}
    /opt/conda/bin/samtools index ${sep=' ' normal_bam}
  >>>

  runtime {
    docker: docker
    cluster: cluster
    systemDisk: "cloud_ssd 40"
    dataDisk: "cloud_ssd " + disk_size + " /cromwell_root/"
  }

  output {
    Array[File] bam_index = glob("/cromwell_root/tmp/samtools/*bai")
  }
}